{% extends 'public_access/base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('public_access/password_reset') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('public_access/password_reset') }}
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card">
            <div class="p-4">
                <h3>Neues Kennwort für Ihr Login in LeAn® setzen:</h3>
                <p>
                    Bitte geben Sie ein sicheres Kennwort ein und wiederholen dieses. Das Kennwort muss mindestens 8 Zeichen lang sein, eine Zahl sowie Groß- und Kleinbuchstaben beinhalten.
                </p>
                <div id="message-box" class="alert mb-3 d-none" role="alert"></div>
                {% if error is not empty %}
                    {% include 'component/alert_notification_component.html.twig' with {
                        'success': false,
                        'message': error,
                        'errors': null
                    } only %}
                {% endif %}
                <div>
                    {{ form_start(passwordResetForm, {'attr': {'id': passwordResetForm.vars.id ~ '_form'}}) }}
                    {{ form_errors(passwordResetForm) }}
                    {% include 'public_access/form/password_reset_form.html.twig' with {'form': passwordResetForm} only %}
                    {{ form_row(passwordResetForm._token) }}
                    {{ form_end(passwordResetForm, {'render_rest': false}) }}
                    {{ form_widget(passwordResetForm.save, {'label': 'KENNWORT SETZEN', 'id': passwordResetForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto'}}) }}
                </div>
            </div>
        </div>
    </div>
{% endblock %}
